Update configured AWS types
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/aws/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"types": [
{
"enabled": true,
"type": "AWS::S3::Bucket"
}
]
}
'import requests
url = "https://api.getcortexapp.com/api/v1/aws/types"
payload = { "types": [
{
"enabled": True,
"type": "AWS::S3::Bucket"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({types: [{enabled: true, type: 'AWS::S3::Bucket'}]})
};
fetch('https://api.getcortexapp.com/api/v1/aws/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"types": [
{
"enabled": true,
"type": "AWS::S3::Bucket"
}
]
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update configured AWS types
PUT
/
api
/
v1
/
aws
/
types
Update configured AWS types
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
application/json
List of AWS types and whether they're configured to be discovered and imported into the catalogs
Show child attributes
Show child attributes
Response
Successfully replaced AWS types
List of AWS types and whether they're configured to be discovered and imported into the catalogs
Show child attributes
Show child attributes
Last modified on September 29, 2026